Subject: [TR] TeriAnn Wakeman

From: Jim Vass <[email-masked]>
Date: Thu, 14 Aug 2025 13:44:48 +1200

Hello Teri and all the others of us who love our TR's.
I'll dedicate this poem I wrote to you and the rest us loonies.
40 years with my TR4.
It's a parody called My Little TR:

For you, there'll be no more driving
For you, my little TR there will be no more shining
And I feel that when I'm not with you my little TR

It's not alright,
I know it's not going to be alright
Without my car
Without my little TR

To you, I will give the world
To you, I wish your motor would never be cold
'Cause I feel that when I'm with you
It's alright,
I know it's right

I just want to hear my little TR revving
like it knows the score
And I love you, my little TR, I love you
Like never before

And I wish you all the love in the world
But most of all, I wish you'd start up again

I just want to hear my little TR revving
like it knows the score
And I love you, my little TR, I love you
Like never before

I just want to hear your motor roar
Like never before
By FulBright SausageBrain
** [email-masked] **

Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive